Bug 602453 - SELinux is preventing /usr/libexec/gdm-session-worker "getattr" access on /home/c.cerbo/bin/javaeditline/src/libjavaeditline.so.
SELinux is preventing /usr/libexec/gdm-session-worker "getattr" access o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:b57c29b0355...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 17:04 EDT by Costantino Cerbo
Modified: 2010-06-23 13:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-28.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 13:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Costantino Cerbo 2010-06-09 17:04:55 EDT
Sommario:

SELinux is preventing /usr/libexec/gdm-session-worker "getattr" access on
/home/c.cerbo/bin/javaeditline/src/libjavaeditline.so.

Descrizione dettagliata:

[SELinux è in modalità permissiva. Questo accesso non è stato negato.]

SELinux ha negato l'accesso richiesto da gdm-session-wor. Non è previsto che
questo accesso venga richiesto da gdm-session-wor, e tale accesso può segnalare
un tentativo di intrusione. È anche possibile che questo sia provocato dalla
specifica versione o dalla configurazione dell'applicazione per richiedere un
ulteriore accesso.

Abilitazione accesso in corso:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informazioni aggiuntive:

Contesto della sorgente       system_u:system_r:xdm_t:s0-s0:c0.c1023
Contesto target               unconfined_u:object_r:home_bin_t:s0
Oggetti target                /home/c.cerbo/bin/javaeditline/src/libjavaeditline
                              .so [ file ]
Sorgente                      gdm-session-wor
Percorso della sorgente       /usr/libexec/gdm-session-worker
Porta                         <Sconosciuto>
Host                          (removed)
Sorgente Pacchetti RPM        gdm-2.30.2-1.fc13
Pacchetti RPM target          
RPM della policy              selinux-policy-3.7.19-21.fc13
Selinux abilitato             True
Tipo di policy                targeted
Modalità Enforcing           Permissive
Nome plugin                   catchall
Host Name                     (removed)
Piattaforma                   Linux (removed) 2.6.33.5-112.fc13.i686.PAE #1 SMP
                              Thu May 27 02:56:20 UTC 2010 i686 i686
Conteggio avvisi              1
Primo visto                   dom 06 giu 2010 21:19:46 CEST
Ultimo visto                  dom 06 giu 2010 21:19:46 CEST
ID locale                     44986e17-59f7-4fbe-a851-a7b57e31e9a5
Numeri di linea               

Messaggi Raw Audit            

node=(removed) type=AVC msg=audit(1275851986.109:26360): avc:  denied  { getattr } for  pid=1822 comm="gdm-session-wor" path="/home/c.cerbo/bin/javaeditline/src/libjavaeditline.so" dev=sda2 ino=268203 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_bin_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1275851986.109:26360): arch=40000003 syscall=195 success=yes exit=0 a0=bf8f13d0 a1=bf8f146c a2=2b2fc4 a3=8 items=0 ppid=1635 pid=1822 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="gdm-session-wor" exe="/usr/libexec/gdm-session-worker" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,gdm-session-wor,xdm_t,home_bin_t,file,getattr
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t home_bin_t:file getattr;
Comment 1 Daniel Walsh 2010-06-10 09:13:10 EDT
Miroslav could you add

userdom_dontaudit_getattr_user_home_content(xdm_t)
Comment 2 Miroslav Grepl 2010-06-14 05:32:37 EDT
Fixed in selinux-policy-3.7.19-28.fc13
Comment 3 Fedora Update System 2010-06-14 15:30:43 EDT
selinux-policy-3.7.19-28.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 4 Fedora Update System 2010-06-15 12:00:43 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 5 Fedora Update System 2010-06-23 13:47:38 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.